Inhalte
Index 🔎︎

# Anweisung IIf

Liefert eines zweier möglicher Funktionsergebnisse zurück, abhängig vom Wahrheitsgehalt eines zu überprüfenden Ausdrucks.

## Syntax:

    IIf (Ausdruck, AusdruckWahr, AusdruckFalsch)

## Parameter:

Ausdruck: Ein beliebiger auszuwertender Ausdruck. Wenn der Ausdruck als True ausgewertet wird, gibt die Funktion das Ergebnis von ExpressionTrue zurück, ansonsten das Ergebnis von ExpressionFalse.

AusdruckWahr, AusdruckFalsch: Beliebige Ausdrücke; je nach Ergebnis der logischen Auswertung wird einer dieser Ausdrücke als Funktionsergebnis zurückgegeben.

## Fehlercodes:

5 Ungültiger Prozeduraufruf